PUTNEY version 1w --- THE MANUAL
================================

NB:	The abbreviation "TOS" is used a lot in this document.
	It stands for "Top Of Stack".

---------------------------------------------------------------

				ABS

Usage:	ABS

Stack:	x >>> abs(x)

Recipe:

Type:	FORTH-83

---------------------------------------------------------------

				AND

Usage:	AND

Stack:	x1 x2 >>> and(x1,x2)

Recipe:

Type:	

---------------------------------------------------------------

				AGAIN

Usage:	AGAIN

Stack:	>>>

Recipe:	(see REPEAT)

Type:	

---------------------------------------------------------------

				ARRAY

Usage:	ARRAY len name

Stack:	>>>

Recipe:

Type:	; defines portion of available memory

---------------------------------------------------------------

				ASCII

Usage:	ASCII char

Stack:	>>> val

Recipe:

Type:	; relates to word following

---------------------------------------------------------------

				BASE

Usage:	BASE

Stack:	value >>>

Recipe:

Type:	

---------------------------------------------------------------

				BEGIN

Usage:	BEGIN

Stack:	>>> 

Recipe:

Type:	; used to control program flow

---------------------------------------------------------------

				BELL

Usage:	BELL

Stack:	>>> 

Recipe:

Type:	

---------------------------------------------------------------

				BINARY

Usage:	BINARY

Stack:	>>> 

Recipe:

Type:	

---------------------------------------------------------------

				BLACK

Usage:	BLACK

Stack:	>>> 0

Recipe:

Type:	

---------------------------------------------------------------

				BLUE

Usage:	BLUE

Stack:	>>> 1

Recipe:

Type:	

---------------------------------------------------------------

				BORDER

Usage:	BORDER

Stack:	x >>> 

Recipe:

Type:	

---------------------------------------------------------------

				BOX

Usage:	BOX

Stack:	addr >>> 

Recipe:

Type:	

---------------------------------------------------------------

				{ } (brace)

Usage:	{ ... }

Stack:	>>> addr len

Recipe:

Type:	; inserts data directly into program

---------------------------------------------------------------

				BROWN

Usage:	BROWN

Stack:	>>> 6

Recipe:

Type:	

---------------------------------------------------------------

				C, (C-comma)

Usage:	C, x

Stack:	>>> 

Recipe:

Type:	; inserts data directly into program

---------------------------------------------------------------

				C@ (C-fetch)

Usage:	C@

Stack:	addr >>> byte

Recipe:

Type:	

---------------------------------------------------------------

				CHMOD

Usage:	CHMOD

Stack:	addr x >>> -1
	addr x >>> error 0

Recipe:

Type:	

---------------------------------------------------------------

				CHOP

Usage:	CHOP

Stack:	x >>> low_byte high_byte

Recipe:

Type:	

---------------------------------------------------------------

				CLOCK

Usage:	CLOCK

Stack:	>>> low_word high_word

Recipe:

Type:	

---------------------------------------------------------------

				CLOSE

Usage:	CLOSE

Stack:	handle >>> -1
	handle >>> error 0

Recipe:

Type:	

---------------------------------------------------------------

				CLS

Usage:	CLS

Stack:	>>> 

Recipe:

Type:	

---------------------------------------------------------------

				CMOVE

Usage:	CMOVE

Stack:	addr1 addr2 len >>> 

Recipe:

Type:	

---------------------------------------------------------------

				CMOVE> (CMOVE-to)

Usage:	CMOVE>

Stack:	addr1 addr2 len >>> 

Recipe:

Type:	

---------------------------------------------------------------

				: (colon)

Usage:	: name

Stack:	>>> 

Recipe:

Type:	; relates to word following

---------------------------------------------------------------

				COLOUR

Usage:	COLOUR

Stack:	fgval bgval >>> 

Recipe:

Type:	

---------------------------------------------------------------

				, (comma)

Usage:	, x

Stack:	>>>

Recipe:

Type:	; inserts data directly into program

---------------------------------------------------------------

				COMPARE

Usage:	COMPARE

Stack:	addr1 addr2 len >>> -1
	addr1 addr2 len >>> addr3 0

Recipe:

Type:	

---------------------------------------------------------------

				CONSTANT

Usage:	CONSTANT x name

Stack:	>>> 

Recipe:

Type:	; defines portion of available memory

---------------------------------------------------------------

				COUNT

Usage:	COUNT

Stack:	addr >>> addr+1 x

Recipe:

Type:	

---------------------------------------------------------------

				CR

Usage:	CR

Stack:	>>> 

Recipe:

Type:	

---------------------------------------------------------------

				CREAT

Usage:	CREAT

Stack:	addr x >>> handle -1
	addr x >>> error 0

Recipe:

Type:	

---------------------------------------------------------------

				C! (C-store)

Usage:	C!

Stack:	byte addr >>> 

Recipe:

Type:	

---------------------------------------------------------------

				CYAN

Usage:	CYAN

Stack:	>>> 3

Recipe:

Type:	

---------------------------------------------------------------

				DABS

Usage:	DABS

Stack:	(xl xh) >>> abs(xl xh)

Recipe:

Type:	

---------------------------------------------------------------

				-TRAILING (dash-TRAILING)

Usage:	-TRAILING

Stack:	addr len1 >>> addr len2

Recipe:

Type:	

---------------------------------------------------------------

				DATE

Usage:	DATE

Stack:	>>> day month year dow

Recipe:

Type:	

---------------------------------------------------------------

				D/BASE (D-div-base)

Usage:	D/BASE

Stack:	(xl xh) >>> (yl yh)

Recipe:

Type:	

---------------------------------------------------------------

				DDROP

Usage:	DDROP

Stack:	(xl xh) >>> 

Recipe:

Type:	

---------------------------------------------------------------

				DDUP

Usage:	DDUP

Stack:	(xl xh) >>> (xl xh) (xl xh)

Recipe:

Type:	

---------------------------------------------------------------

				DECIMAL

Usage:	DECIMAL

Stack:	>>> 

Recipe:

Type:	

---------------------------------------------------------------

				DELETE

Usage:	DELETE

Stack:	addr >>> -1
	addr >>> error 0

Recipe:

Type:	

---------------------------------------------------------------

				DEPTH

Usage:	DEPTH

Stack:	>>> count

Recipe:

Type:	

---------------------------------------------------------------

				/ (div)

Usage:	/

Stack:	x1 x2 >>> int(x1/x2)

Recipe:

Type:	

---------------------------------------------------------------

				/MOD (div-MOD)

Usage:	/MOD

Stack:	val1 val2 >>> mod(val1/val2) int(val1/val2)

Recipe:

Type:	

---------------------------------------------------------------

				D< (D-less)

Usage:	D<

Stack:	(xl xh) (yl yh) >>> flag

Recipe:

Type:	

---------------------------------------------------------------

				DMAX

Usage:	DMAX

Stack:	(xl xh) (yl yh) >>> (zl zh)

Recipe:

Type:	

---------------------------------------------------------------

				DMIN

Usage:	DMIN

Stack:	(xl xh) (yl yh) >>> (zl zh)

Recipe:

Type:	

---------------------------------------------------------------

				D- (D-minus)

Usage:	D-

Stack:	(xl xh) (yl yh) >>> (zl zh)

Recipe:

Type:	

---------------------------------------------------------------

				DNEGATE

Usage:	DNEGATE

Stack:	(xl xh) >>> neg(xl xh)

Recipe:

Type:	

---------------------------------------------------------------

				. (dot)

Usage:	.

Stack:	x >>>

Recipe:

Type:	

---------------------------------------------------------------

				.R (dot-R)

Usage:	.R

Stack:	x width >>>

Recipe:

Type:	

---------------------------------------------------------------

				.S (dot-S)

Usage:	.S

Stack:	>>> .

Recipe:

Type:	

---------------------------------------------------------------

				DOVER

Usage:	DOVER

Stack:	(xl xh) (yl yh) >>> (xl xh) (yl yh) (xl xh)

Recipe:

Type:	

---------------------------------------------------------------

				D+ (D-plus)

Usage:	D+

Stack:	(xl xh) (yl yh) >>> (zl zh)

Recipe:

Type:	

---------------------------------------------------------------

				DRIVE

Usage:	DRIVE

Stack:	x >>> max

Recipe:

Type:	

---------------------------------------------------------------

				DROP

Usage:	DROP

Stack:	x >>> 

Recipe:

Type:	

---------------------------------------------------------------

				DSLIP

Usage:	DSLIP

Stack:	(xl xh) (yl yh) >>> (yl yh)

Recipe:

Type:	

---------------------------------------------------------------

				DSWAP

Usage:	DSWAP

Stack:	(xl xh) (yl yh) >>> (yl yh) (xl xh)

Recipe:

Type:	

---------------------------------------------------------------

				DUP

Usage:	DUP

Stack:	x >>> x x

Recipe:

Type:	

---------------------------------------------------------------

				ECHO

Usage:	ECHO

Stack:	char count >>> 

Recipe:

Type:	

---------------------------------------------------------------

				ELSE

Usage:	ELSE

Stack:	>>> 

Recipe:

Type:	; used to control program flow

---------------------------------------------------------------

				EMIT

Usage:	EMIT

Stack:	x >>> 

Recipe:

Type:	

---------------------------------------------------------------

				EMPTY

Usage:	EMPTY

Stack:	>>> 

Recipe:

Type:	

---------------------------------------------------------------

				END

Usage:	END

Stack:	flag >>>

Recipe:	(see UNTIL)

Type:	

---------------------------------------------------------------

				ENDIF

Usage:	ENDIF

Stack:	>>>

Recipe:	(see THEN)

Type:	

---------------------------------------------------------------

				= (equal)

Usage:	=

Stack:	x1 x2 >>> flag

Recipe:

Type:	

---------------------------------------------------------------

				EVERY

Usage:	EVERY

Stack:	>>> 

Recipe:

Type:	; monitors progress of compilation

---------------------------------------------------------------

				EXECUTE

Usage:	EXECUTE

Stack:	addr >>> 

Recipe:

Type:	; allows routines to be called by address

---------------------------------------------------------------

				EXIST

Usage:	EXIST

Stack:	addr x >>> -1
	addr x >>> error 0

Recipe:

Type:	

---------------------------------------------------------------

				EXIT

Usage:	EXIT

Stack:	>>> 

Recipe:

Type:	; marks exit point in program

---------------------------------------------------------------

				EXPECT

Usage:	EXPECT

Stack:	addr len1 >>> len2

Recipe:

Type:	

---------------------------------------------------------------

				FALSE

Usage:	FALSE

Stack:	>>> 0

Recipe:	(see BLACK)

Type:	

---------------------------------------------------------------

				@ (fetch)

Usage:	@

Stack:	addr >>> x

Recipe:

Type:	

---------------------------------------------------------------

				FILE

Usage:	FILE

Stack:	>>> addr

Recipe:

Type:	

---------------------------------------------------------------

				FILL

Usage:	FILL

Stack:	addr len byte >>> 

Recipe:

Type:	

---------------------------------------------------------------

				FINISH

Usage:	FINISH

Stack:	>>> 

Recipe:

Type:	; marks exit point in program

---------------------------------------------------------------

				FLUSH

Usage:	FLUSH

Stack:	handle >>> -1
	handle >>> error 0

Recipe:

Type:	

---------------------------------------------------------------

				FORGET

Usage:	FORGET name

Stack:	>>> 

Recipe:

Type:	

---------------------------------------------------------------

				GATHER

Usage:	GATHER

Stack:	addr1 addr2 len >>> 

Recipe:

Type:	

---------------------------------------------------------------

				GET

Usage:	GET

Stack:	xcoord ycoord >>> colour

Recipe:

Type:	

---------------------------------------------------------------

				> (great)

Usage:	>

Stack:	x1 x2 >>> flag

Recipe:

Type:	

---------------------------------------------------------------

				>= (great-equal)

Usage:	>=

Stack:	x1 x2 >>> flag

Recipe:

Type:	

---------------------------------------------------------------

				GREEN

Usage:	GREEN

Stack:	>>> 2

Recipe:

Type:	

---------------------------------------------------------------

				# (hash)

Usage:	#

Stack:	(xl xh) >>> (yl yh)

Recipe:

Type:	

---------------------------------------------------------------

				#> (hash-great)

Usage:	#>

Stack:	(xl xh) >>> addr len

Recipe:

Type:	

---------------------------------------------------------------

				#S (hash-S)

Usage:	#S

Stack:	(xl xh) >>> 0 0

Recipe:

Type:	

---------------------------------------------------------------

				HEX

Usage:	HEX

Stack:	>>> 

Recipe:

Type:	

---------------------------------------------------------------

				HOLD

Usage:	HOLD

Stack:	x >>> 

Recipe:

Type:	

---------------------------------------------------------------

				IF

Usage:	IF

Stack:	flag >>> 

Recipe:

Type:	; used to control program flow

---------------------------------------------------------------

				KEY

Usage:	KEY

Stack:	>>> x

Recipe:

Type:	

---------------------------------------------------------------

				< (less)

Usage:	<

Stack:	x1 x2 >>> flag

Recipe:

Type:	

---------------------------------------------------------------

				<= (less-equal)

Usage:	<=

Stack:	x1 x2 >>> flag

Recipe:

Type:	

---------------------------------------------------------------

				<> (less-great)

Usage:	<>

Stack:	x1 x2 >>> flag

Recipe:

Type:	

---------------------------------------------------------------

				<# (less-hash)

Usage:	<#

Stack:	>>> 

Recipe:

Type:	

---------------------------------------------------------------

				LOCATE

Usage:	LOCATE

Stack:	column row >>> 

Recipe:

Type:	

---------------------------------------------------------------

				LSEEK

Usage:	LSEEK

Stack:	(xl xh) code handle >>> (yl yh) -1
	(xl xh) code handle >>> error 0

Recipe:

Type:	

---------------------------------------------------------------

				LTRIM

Usage:	LTRIM

Stack:	addr1 delim >>> addr2

Recipe:

Type:	

---------------------------------------------------------------

				MAGENTA

Usage:	MAGENTA

Stack:	>>> 5

Recipe:

Type:	

---------------------------------------------------------------

				MAX

Usage:	MAX

Stack:	x1 x2 >>> max(x1,x2)

Recipe:

Type:	

---------------------------------------------------------------

				MIN

Usage:	MIN

Stack:	x1 x2 >>> min(x1,x2)

Recipe:

Type:	

---------------------------------------------------------------

				- (minus)

Usage:	-

Stack:	x1 x2 >>> x1-x2

Recipe:

Type:	

---------------------------------------------------------------

				-! (minus-store)

Usage:	-!

Stack:	x addr >>> 

Recipe:

Type:	

---------------------------------------------------------------

				MOD

Usage:	MOD

Stack:	x1 x2 >>> mod(x1,x2)

Recipe:

Type:	

---------------------------------------------------------------

				MODULE

Usage:	MODULE name

Stack:	>>> 

Recipe:

Type:	; relates to word following

---------------------------------------------------------------

				NEGATE

Usage:	NEGATE

Stack:	x >>> neg(x)

Recipe:

Type:	

---------------------------------------------------------------

				NEXT

Usage:	NEXT

Stack:	>>> -1
	>>> error 0

Recipe:

Type:	

---------------------------------------------------------------

				NOT

Usage:	NOT

Stack:	>>> not(x)

Recipe:

Type:	

---------------------------------------------------------------

				NUMBER

Usage:	NUMBER

Stack:	addr1 len >>> x -1
	addr1 len >>> addr2 0

Recipe:

Type:	

---------------------------------------------------------------

				ON

Usage:	ON

Stack:	>>> 

Recipe:

Type:	

---------------------------------------------------------------

				1- (one-minus)

Usage:	1-

Stack:	x >>> x-1

Recipe:

Type:	

---------------------------------------------------------------

				1+ (one-plus)

Usage:	1+

Stack:	x >>> x+1

Recipe:

Type:	

---------------------------------------------------------------

				OPEN

Usage:	OPEN

Stack:	addr x >>> handle -1
	addr x >>> error 0

Recipe:

Type:	

---------------------------------------------------------------

				OR

Usage:	OR

Stack:	x1 x2 >>> or(x1,x2)

Recipe:

Type:	

---------------------------------------------------------------

				OS

Usage:	OS

Stack:	>>> DOSversion

Recipe:

Type:	

---------------------------------------------------------------

				OVER

Usage:	OVER

Stack:	x1 x2 >>> x1 x2 x1

Recipe:

Type:	

---------------------------------------------------------------

				PAD

Usage:	PAD

Stack:	>>> addr

Recipe:

Type:	

---------------------------------------------------------------

				PALETTE

Usage:	PALETTE

Stack:	x >>> 

Recipe:

Type:	

---------------------------------------------------------------

				PARAMETER

Usage:	PARAMETER

Stack:	count >>> addr len -1
	count >>> 0

Recipe:

Type:	

---------------------------------------------------------------

				( ) (parenthesis)

Usage:	( ... )

Stack:	>>>

Recipe:

Type:	; allows comments to be inserted

---------------------------------------------------------------

				(BINARY) (par-BINARY)

Usage:	(BINARY)

Stack:	>>>

Recipe:

Type:	

---------------------------------------------------------------

				(DECIMAL) (par-DECIMAL)

Usage:	(DECIMAL)

Stack:	>>>

Recipe:

Type:	

---------------------------------------------------------------

				(HEX) (par-HEX)

Usage:	(HEX)

Stack:	>>>

Recipe:

Type:	

---------------------------------------------------------------

				PATH

Usage:	PATH

Stack:	addr >>> -1
	addr >>> error 0

Recipe:

Type:	

---------------------------------------------------------------

				P@ (P-fetch)

Usage:	P@

Stack:	port >>> byte

Recipe:

Type:	

---------------------------------------------------------------

				PICK

Usage:	PICK

Stack:	... index >>> x

Recipe:

Type:	

---------------------------------------------------------------

				+ (plus)

Usage:	+

Stack:	x1 x2 >>> x1+x2

Recipe:

Type:	

---------------------------------------------------------------

				+! (plus-store)

Usage:	+!

Stack:	x addr >>> 

Recipe:

Type:	

---------------------------------------------------------------

				P! (P-store)

Usage:	P!

Stack:	byte port >>> 

Recipe:

Type:	

---------------------------------------------------------------

				PUT

Usage:	PUT

Stack:	xcoord ycoord >>> 

Recipe:

Type:	

---------------------------------------------------------------

				? (quest)

Usage:	?

Stack:	a1 x >>> a2

Recipe:

Type:	

---------------------------------------------------------------

				?CARRY (quest-CARRY)

Usage:	?CARRY

Stack:	>>> flag

Recipe:

Type:	

---------------------------------------------------------------

				?DUP (quest-DUP)

Usage:	?DUP

Stack:	0 >>> 0
	x >>> x x

Recipe:

Type:	

---------------------------------------------------------------

				?KEY (quest-KEY)

Usage:	?KEY

Stack:	>>> flag

Recipe:

Type:	

---------------------------------------------------------------

				?SIGN (quest-SIGN)

Usage:	?SIGN

Stack:	x >>> 

Recipe:

Type:	

---------------------------------------------------------------

				?STACK (quest-STACK)

Usage:	?STACK

Stack:	>>> flag

Recipe:

Type:	

---------------------------------------------------------------

				QUIT

Usage:	QUIT

Stack:	>>> 

Recipe:

Type:	; used by other routines

---------------------------------------------------------------

				" " (quote)

Usage:	" ..."

Stack:	>>> addr len

Recipe:

Type:	; inserts data directly into program

---------------------------------------------------------------

				READ

Usage:	READ

Stack:	addr len handle >>> count -1
	addr len handle >>> error 0

Recipe:

Type:	

---------------------------------------------------------------

				RED

Usage:	RED

Stack:	>>> 4

Recipe:

Type:	

---------------------------------------------------------------

				RENAME

Usage:	RENAME

Stack:	addr1 addr2 >>> -1
	addr1 addr2 >>> error 0

Recipe:

Type:	

---------------------------------------------------------------

				REPEAT

Usage:	REPEAT

Stack:	>>> 

Recipe:

Type:	; used to control program flow

---------------------------------------------------------------

				R@ (R-fetch)

Usage:	R@

Stack:	index >>> x

Recipe:

Type:	

---------------------------------------------------------------

				R> (R-from)

Usage:	R>

Stack:	>>> x

Recipe:

Type:	

---------------------------------------------------------------

				ROLL

Usage:	ROLL

Stack:	x1 ... xn n >>> x2 ... xn x1

Recipe:

Type:	

---------------------------------------------------------------

				ROT

Usage:	ROT

Stack:	x1 x2 x3 >>> x2 x3 x1

Recipe:

Type:	

---------------------------------------------------------------

				SCAN

Usage:	SCAN

Stack:	addr1 len byte >>> addr2 -1
	addr1 len byte >>> 0

Recipe:

Type:	

---------------------------------------------------------------

				SCATTER

Usage:	SCATTER

Stack:	addr1 addr2 len >>> 

Recipe:

Type:	

---------------------------------------------------------------

				SCREEN

Usage:	SCREEN

Stack:	x >>> 

Recipe:

Type:	

---------------------------------------------------------------

				SCROLL

Usage:	SCROLL

Stack:	x >>> 

Recipe:

Type:	

---------------------------------------------------------------

				SEGMENT

Usage:	SEGMENT

Stack:	x >>> 

Recipe:

Type:	

---------------------------------------------------------------

				; (semicolon)

Usage:	;

Stack:	>>> 

Recipe:

Type:	; marks exit point in program

---------------------------------------------------------------

				STRING

Usage:	STRING len name

Stack:	>>> 

Recipe:

Type:	; defines portion of available memory

---------------------------------------------------------------

				<< (shift-left)

Usage:	<<

Stack:	x bits >>> lsh(x,bits)

Recipe:

Type:	

---------------------------------------------------------------

				>> (shift-right)

Usage:	>>

Stack:	x bits >>> rsh(x,bits)

Recipe:

Type:	

---------------------------------------------------------------

				SIGN

Usage:	SIGN

Stack:	x >>> 

Recipe:

Type:	

---------------------------------------------------------------
 
				SLIP

Usage:	SLIP

Stack:	x1 x2 >>> x2

Recipe:

Type:	

---------------------------------------------------------------

				SPAN

Usage:	SPAN

Stack:	addr >>> addr len

Recipe:

Type:	

---------------------------------------------------------------

				S->D (S-to-D)

Usage:	S->D

Stack:	x >>> (xl xh)

Recipe:

Type:	

---------------------------------------------------------------

				! (store)

Usage:	!

Stack:	x addr >>> 

Recipe:

Type:	

---------------------------------------------------------------

				SWAP

Usage:	SWAP

Stack:	x1 x2 >>> x2 x1

Recipe:

Type:	

---------------------------------------------------------------

				TAB

Usage:	TAB

Stack:	>>> 

Recipe:

Type:	

---------------------------------------------------------------

				TDROP

Usage:	TDROP

Stack:	x1 x2 x3 >>> 

Recipe:

Type:	

---------------------------------------------------------------

				TDUP

Usage:	TDUP

Stack:	val1 val2 val3 >>> val1 val2 val3 val1 val2 val3

Recipe:

Type:	

---------------------------------------------------------------

				THEN

Usage:	THEN

Stack:	>>> 

Recipe:

Type:	; used to control program flow

---------------------------------------------------------------

				' (tick)

Usage:	' name

Stack:	>>> addr

Recipe:

Type:	; relates to word following

---------------------------------------------------------------

				TIME

Usage:	TIME

Stack:	>>> 100th sec min hour

Recipe:

Type:	

---------------------------------------------------------------

				* (times)

Usage:	*

Stack:	x1 x2 >>> x1*x2

Recipe:

Type:	

---------------------------------------------------------------

				*/ (times-div)

Usage:	*/

Stack:	x1 x2 x3 >>> x1*x2/x3

Recipe:

Type:	

---------------------------------------------------------------

				*/MOD (times-div-MOD)

Usage:	*/MOD

Stack:	x1 x2 x3 >>> rem x1*x2/x3

Recipe:

Type:	

---------------------------------------------------------------
 
				>R (to-R)

Usage:	>R

Stack:	x >>> 

Recipe:

Type:	

---------------------------------------------------------------

				TRUE

Usage:	TRUE

Stack:	>>> -1

Recipe:

Type:	

---------------------------------------------------------------

				2/ (two-div)

Usage:	2/

Stack:	x >>> int(x/2)

Recipe:

Type:	

---------------------------------------------------------------

				2- (two-minus)

Usage:	2-

Stack:	x >>> x-2

Recipe:

Type:	

---------------------------------------------------------------

				2+ (two-plus)

Usage:	2+

Stack:	x >>> x+2

Recipe:

Type:	

---------------------------------------------------------------

				2* (two-times)

Usage:	2*

Stack:	x >>> x*2

Recipe:

Type:	

---------------------------------------------------------------

				TYPE

Usage:	TYPE

Stack:	addr len >>> 

Recipe:

Type:	FORTH-83; used by other routines

---------------------------------------------------------------

				U. (U-dot)

Usage:	U.

Stack:	x >>> 

Recipe:

Type:	

---------------------------------------------------------------

				U< (U-less)

Usage:	U<

Stack:	x1 x2 >>> flag

Recipe:

Type:	

---------------------------------------------------------------

				UM* (UM-times)

Usage:	UM*

Stack:	x1 x2 >>> low_prod high_prod

Recipe:

Type:	

---------------------------------------------------------------

				UM/MOD (UM-div-MOD)

Usage:	UM/MOD

Stack:	(xl xh) x2 >>> mod div

Recipe:

Type:	

---------------------------------------------------------------

				UNIQUE

Usage:	UNIQUE

Stack:	addr x >>> -1
	addr x >>> error 0

Recipe:

Type:	

---------------------------------------------------------------

				UNTIL

Usage:	UNTIL

Stack:	flag >>> 

Recipe:

Type:	; used to control program flow

---------------------------------------------------------------

				VARIABLE

Usage:	VARIABLE

Stack:	>>> 

Recipe:

Type:	; defines portion of available memory

---------------------------------------------------------------

				VERSION

Usage:	VERSION

Stack:	>>> version

Recipe:

Type:	

---------------------------------------------------------------

				VIDEO

Usage:	VIDEO

Stack:	x >>> 

Recipe:

Type:	

---------------------------------------------------------------

				WHILE

Usage:	WHILE

Stack:	flag >>> 

Recipe:

Type:	; used to control program flow

---------------------------------------------------------------

				WHITE

Usage:	WHITE

Stack:	>>> 7

Recipe:

Type:	

---------------------------------------------------------------

				WINDOW

Usage:	WINDOW

Stack:	left top right bottom >>> 

Recipe:

Type:	

---------------------------------------------------------------

				WORD

Usage:	WORD

Stack:	addr delim >>> addr len

Recipe:

Type:	

---------------------------------------------------------------

				WRITE

Usage:	WRITE

Stack:	addr len handle >>> count -1
	addr len handle >>> error 0

Recipe:

Type:	

---------------------------------------------------------------

				XOR

Usage:	XOR

Stack:	x1 x2 >>> xor(x1,x2)

Recipe:

Type:	

---------------------------------------------------------------

				0= (zero-equal)

Usage:	0=

Stack:	x >>> flag

Recipe:

Type:	

---------------------------------------------------------------

				0> (zero-great)

Usage:	0>

Stack:	x >>> flag

Recipe:

Type:	

---------------------------------------------------------------

				0< (zero-less)

Usage:	0<

Stack:	x >>> flag

Recipe:

Type:	
				
---------------------------------------------------------------
